Google berkomitmen untuk mendorong terwujudnya keadilan rasial bagi komunitas Kulit Hitam. Lihat caranya.

Paket-Paket Support Library

Catatan: Dengan dirilisnya Android 9.0 (API level 28), ada Support Library versi baru yang disebut AndroidX, yang merupakan bagian dari Jetpack. Library AndroidX memuat Support Library yang ada dan juga menyertakan komponen Jetpack terbaru.

Anda dapat terus menggunakan Support Library ini. Artefak historis (versi 27 dan yang lebih lama, serta yang dipaketkan sebagai android.support.*) akan tetap tersedia di Google Maven. Namun, semua pengembangan library baru akan terjadi di library AndroidX.

Kami merekomendasikan penggunaan library AndroidX di semua project baru. Anda juga harus mempertimbangkan memigrasikan project yang ada ke AndroidX.

Android Support Library berisi beberapa paket library yang dapat disertakan dalam aplikasi Anda. Masing-masing library ini mendukung versi platform Android dan kumpulan fitur tertentu.

Untuk menggunakan library mana pun, Anda harus mendownload file library tersebut ke penginstalan Android SDK Anda. Ikuti petunjuk untuk mendownload Support Library di Penyiapan Support Library untuk menyelesaikan langkah ini. Perlu langkah tambahan untuk menyertakan Support Library tertentu di aplikasi Anda. Lihat bagian akhir setiap library di bawah untuk mendapatkan informasi penting tentang cara menyertakan library tersebut di aplikasi Anda.

Catatan: Versi SDK minimum untuk semua paket support library adalah API level 14. Beberapa paket memerlukan level API lebih tinggi, seperti yang disebutkan di bawah.

Support Library v4

Library ini mencakup kumpulan API terlengkap dibandingkan library lain, termasuk dukungan untuk komponen aplikasi, fitur antarmuka pengguna, aksesibilitas, penanganan data, konektivitas jaringan, dan utilitas pemrograman.

Untuk informasi lengkap dan mendetail tentang class dan metode yang disediakan oleh Support Library v4, lihat paket android.support.v4 dalam referensi API.

Catatan: Sebelum revisi Support Library 24.2.0, hanya ada satu Support Library v4. Library tersebut dibagi menjadi beberapa modul untuk meningkatkan efisiensi. Untuk menyediakan kompatibilitas dengan versi lebih lama, jika Anda mencantumkan support-v4 dalam skrip Gradle, APK Anda akan menyertakan semua modul v4. Namun, untuk mengurangi ukuran APK, sebaiknya cukup cantumkan modul spesifik yang diperlukan aplikasi Anda.

Library compat v4

Memberikan wrapper kompatibilitas untuk sejumlah API framework, seperti Context.obtainDrawable() dan View.performAccessibilityAction().

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:support-compat:28.0.0
    

Library core-utils v4

Menyediakan sejumlah class utilitas, seperti AsyncTaskLoader dan PermissionChecker.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:support-core-utils:28.0.0
    

Library core-ui v4

Mengimplementasikan berbagai komponen terkait UI, seperti ViewPager, NestedScrollView, dan ExploreByTouchHelper.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:support-core-ui:28.0.0
    

Library media-comp4 v4

Mem-backport bagian framework media, termasuk MediaBrowser dan MediaSession.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:support-media-compat:28.0.0
    

Library fragment v4

Menambahkan dukungan enkapsulasi antarmuka pengguna dan fungsionalitas dengan fragment, sehingga aplikasi dapat menyediakan tata letak yang menyesuaikan antara perangkat layar kecil dan layar besar. Modul ini memiliki dependensi pada compat, core-utils, core-ui, dan media-compat.

Catatan: Support Library v13 menyediakan class FragmentCompat. Class Fragment v4 adalah class mandiri yang menyediakan perbaikan bug yang ditambahkan di versi platform berikutnya, sedangkan class FragmentCompat v13 menyediakan kompatibilitas shim untuk implementasi framework class Fragment.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:support-fragment:28.0.0
    

Support Library Multidex

Library ini menyediakan dukungan untuk membuat aplikasi yang menggunakan beberapa file Dalvik Executable (DEX). Konfigurasi multidex mensyaratkan aplikasi yang mereferensikan lebih dari 65.536 metode. Untuk informasi selengkapnya tentang penggunaan multidex, lihat Membuat Aplikasi dengan Metode di atas 64K.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:multidex:1.0.0
    

Support Library v7

Library ini menyediakan rangkaian fitur tertentu dan dapat disertakan dalam aplikasi Anda secara terpisah dari library lain.

Library appcompat v7   Bagian dari Android Jetpack.

Catatan: Library appcompat telah dimigrasikan ke library AndroidX, yang merupakan komponen Android Jetpack. Lihat penggunaannya pada aplikasi demo Sunflower.

Library ini menambahkan dukungan untuk pola desain antarmuka pengguna Panel Tindakan. Library ini mencakup dukungan untuk implementasi antarmuka pengguna desain material.

Catatan: Library ini bergantung pada Support Library v4.

Berikut adalah beberapa class utama yang disertakan dalam library appcompat v7:

  • ActionBar - Menyediakan implementasi pola antarmuka pengguna panel tindakan. Untuk informasi selengkapnya tentang penggunaan Panel Tindakan, lihat panduan developer tentang Panel Tindakan.
  • AppCompatActivity - Menambahkan class aktivitas aplikasi yang dapat digunakan sebagai class dasar untuk aktivitas yang menggunakan implementasi panel tindakan Support Library.
  • AppCompatDialog - Menambahkan class dialog yang dapat digunakan sebagai class dasar untuk dialog bertema AppCompat.
  • ShareActionProvider - Menambahkan dukungan untuk tindakan berbagi standar (seperti email atau posting ke aplikasi sosial) yang dapat disertakan dalam panel tindakan.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:appcompat-v7:28.0.0
    

Library cardview v7

Library ini menambahkan dukungan untuk widget CardView yang memungkinkan Anda menampilkan informasi di dalam kartu yang memiliki tampilan konsisten di aplikasi apa pun. Kartu ini berguna untuk implementasi desain material, dan banyak digunakan dalam tata letak untuk aplikasi TV.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:cardview-v7:28.0.0
    

Library gridlayout v7

Setelah Anda mendownload Android Support Library, library ini akan menambahkan dukungan untuk class GridLayout, yang memungkinkan Anda mengatur elemen antarmuka pengguna menggunakan petak sel persegi panjang. Untuk informasi selengkapnya tentang API library gridlayout v7, lihat paket android.support.v7.widget dalam referensi API.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:gridlayout-v7:28.0.0
    

Library mediarouter v7

Library ini menyediakan MediaRouter, MediaRouteProvider, dan class media terkait yang mendukung Google Cast.

Secara umum, API di library mediarouter v7 menyediakan sarana untuk mengontrol perutean saluran dan streaming media dari perangkat yang sedang aktif ke layar eksternal, speaker, dan perangkat tujuan lainnya. Library ini mencakup API untuk memublikasikan penyedia rute media khusus aplikasi, menemukan dan memilih perangkat tujuan, memeriksa status media, dan lain-lain. Untuk informasi selengkapnya tentang API library mediarouter v7, lihat paket android.support.v7.media dalam referensi API.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:mediarouter-v7:28.0.0
    

API library mediarouter v7 yang diperkenalkan dalam Support Library r18 dapat berubah dalam revisi Support Library mendatang. Untuk saat ini, sebaiknya hanya gunakan library ini untuk Google Cast.

Library palette v7

Support library palet v7 mencakup class Palette, yang memungkinkan Anda mengekstrak warna yang menonjol dari sebuah gambar. Misalnya, aplikasi musik dapat menggunakan objek Palette untuk mengekstrak warna-warna utama dari sebuah sampul album, dan menggunakan warna tersebut untuk membuat kartu judul lagu yang diatur menurut warna.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:palette-v7:28.0.0
    

Library recyclerview v7

Library recyclerview menambahkan class RecyclerView. Class ini menyediakan dukungan untuk widget RecyclerView, yang merupakan tampilan untuk menampilkan set data besar secara efisien dengan menyediakan jendela terbatas untuk berbagai item data.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:recyclerview-v7:28.0.0
    

Support Library Preference v7

Paket preference menyediakan API untuk mendukung penambahan objek preferensi, seperti CheckBoxPreference dan ListPreference, agar pengguna dapat mengubah setelan UI.

Library Preference v7 menambahkan dukungan untuk antarmuka, seperti Preference.OnPreferenceChangeListener dan Preference.OnPreferenceClickListener, serta class seperti CheckBoxPreference dan ListPreference.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:preference-v7:28.0.0
    

Support Library v8

Library ini menyediakan rangkaian fitur tertentu dan dapat disertakan dalam aplikasi Anda secara terpisah dari library lain.

Library renderscript v8

Library ini menambahkan dukungan untuk framework komputasi RenderScript. API ini disertakan dalam paket android.support.v8.renderscript. Anda perlu memahami bahwa langkah-langkah untuk menyertakan API ini dalam aplikasi Anda sangat berbeda dengan API support library lainnya. Untuk informasi selengkapnya tentang cara menggunakan API ini di aplikasi Anda, lihat panduan developer tentang RenderScript.

Catatan: Penggunaan RenderScript dengan support library didukung pada build berbasis Android Studio dan Gradle. Library renderscript terdapat di folder build-tools/$VERSION/renderscript/.

Contoh berikut menampilkan properti skrip build Gradle untuk library ini:

    defaultConfig {
        renderscriptTargetApi 18
        renderscriptSupportModeEnabled true
    }
    

Support Library v13

Library ini menambahkan dukungan untuk pola antarmuka pengguna Fragment dengan class (FragmentCompat) dan class dukungan fragment tambahan. Untuk informasi selengkapnya tentang fragment, lihat panduan developer tentang Fragment. Untuk informasi selengkapnya tentang API Support Library v13, lihat paket android.support.v13 dalam referensi API.

Catatan: Library fragment v4 menyediakan class Fragment. Class Fragment v4 adalah class mandiri yang menyediakan perbaikan bug yang ditambahkan di versi platform berikutnya, sedangkan class FragmentCompat v13 menyediakan kompatibilitas shim untuk implementasi framework class Fragment.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:support-v13:28.0.0
    

Support Library Preference v14

Paket android.support.v14.preference menyediakan API untuk menambahkan dukungan bagi antarmuka preference, seperti PreferenceFragment.OnPreferenceStartFragmentCallback dan PreferenceFragment.OnPreferenceStartScreenCallback, beserta dengan class seperti MultiSelectListPreference dan PreferenceFragment. Untuk informasi selengkapnya tentang API Support Library Preference v14, lihat paket preference dalam referensi API.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:preference-v14:28.0.0
    

Support Library Preference v17 untuk TV

Paket android.support.v17.preference menyediakan API untuk memberikan antarmuka preference di perangkat TV, termasuk dukungan untuk antarmuka LeanbackListPreferenceDialogFragment.ViewHolder.OnItemClickListener dan class seperti BaseLeanbackPreferenceFragment dan LeanbackPreferenceFragment. Untuk informasi selengkapnya tentang API Support Library Preference v17, lihat paket preference dalam referensi API.

Paket ini memerlukan API level 17 atau yang lebih tinggi. ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

 com.android.support:preference-leanback-v17:28.0.0 

Library Leanback v17

Paket android.support.v17.leanback menyediakan API untuk mendukung pembuatan antarmuka pengguna di perangkat TV. Paket ini menyediakan sejumlah widget penting untuk aplikasi TV. Beberapa class utama meliputi:

Paket ini memerlukan API level 17 atau yang lebih tinggi. ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:leanback-v17:28.0.0
    

Library Vector Drawable

Menyediakan dukungan untuk grafis vektor statis.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:support-vector-drawable:28.0.0
    

Library Animated Vector Drawable

Menyediakan dukungan untuk grafis vektor beranimasi.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:animated-vector-drawable:28.0.0
    

Support Library Annotations

Paket Annotation menyediakan API untuk mendukung penambahan metadata anotasi ke aplikasi Anda.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:support-annotations:28.0.0
    

Support Library Design

Paket Design menyediakan API untuk mendukung penambahan komponen dan pola desain material ke aplikasi Anda.

Support library Design menambahkan dukungan untuk berbagai komponen dan pola desain material yang dapat digunakan developer aplikasi, seperti panel navigasi, tombol tindakan mengambang (FAB), snackbar, dan tab.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:design:28.0.0
    

Support Library Custom Tabs

Paket Custom Tabs menyediakan API untuk mendukung penambahan dan pengelolaan tab khusus di aplikasi Anda.

Support library Custom Tabs menambahkan dukungan untuk berbagai class, seperti Layanan Custom Tabs dan Callback Custom Tabs.

Paket ini memerlukan API level 15 atau yang lebih tinggi. ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:customtabs:28.0.0
    

Support Library Percent

Paket Percent menyediakan API untuk mendukung penambahan dan pengelolaan dimensi berbasis persentase dalam aplikasi Anda.

Catatan: Mulai rilis 26.0.0, Support Library Percent tidak digunakan lagi. Klien modul ini sebaiknya bermigrasi ke widget ConstraintLayout baru, yang disediakan sebagai artefak terpisah di SDK Manager.

Support library Percent menambahkan dukungan untuk antarmuka PercentLayoutHelper.PercentLayoutParams dan berbagai class seperti PercentFrameLayout dan PercentRelativeLayout.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:percent:28.0.0
    

Support Library ExifInterface

Tag Exif menyimpan informasi seperti orientasi, tanggal dan waktu, informasi kamera, dan lokasi secara langsung dalam file JPEG atau RAW. Class ExifInterface mengurai paket dukungan untuk membaca informasi Exif dari file berformat JPEG dan raw (DNG, CR2, NEF, NRW, ARW, RW2, ORF, PEF, SRW, dan RAF), serta menetapkan informasi Exif pada file gambar JPEG.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:exifinterface:28.0.0
    

Support Library App Recommendation untuk TV

Paket App Recommendation menyediakan API untuk mendukung penambahan rekomendasi konten di aplikasi yang berjalan di perangkat TV.

Library App menambahkan dukungan untuk anotasi, seperti ContentRecommendation.ContentMaturity dan berbagai class seperti ContentRecommendation dan RecommendationExtender.

Paket ini memerlukan API level 21 atau yang lebih tinggi. ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:recommendation:28.0.0
    

Library Wear UI

Library ini memiliki API untuk membuat antarmuka pengguna bagi aplikasi Wear. API ini, yang tersedia dalam paket android.support.wear.widget, menggantikan API yang terkait di Support Library Wearable.

Untuk informasi selengkapnya, lihat Menggunakan Library Wear UI.

ID dependensi skrip build Gradle untuk library ini adalah sebagai berikut:

    com.android.support:wear:28.0.0